Package htsjdk.samtools.sra

# Class ReferenceCache

java.lang.Object
htsjdk.samtools.sra.ReferenceCache

public class ReferenceCache extends Object
That is a thread-safe wrapper for a list of cache Reference objects. Those objects can be used from different threads without issues, however to load and save a Reference object, we need to acquire a lock. Created by andrii.nikitiuk on 10/28/15.

## Constructor Summary

Constructors
Constructor
Description
`ReferenceCache(ngs.ReadCollection run, SAMFileHeader virtualHeader)`

## Method Summary

Modifier and Type
Method
Description
`ngs.Reference`
`get(int referenceIndex)`
This method returns Reference objects by reference indexes in SAM header Those objects do not maintain thread safety

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ReferenceCache

public ReferenceCache(ngs.ReadCollection run, SAMFileHeader virtualHeader)

## Method Details

### get

public ngs.Reference get(int referenceIndex)
This method returns Reference objects by reference indexes in SAM header Those objects do not maintain thread safety

Parameters:
  `referenceIndex` - reference index in
Returns:
  a Reference object